/*!
 * @file SavingTable.h
 * @brief ゲーム中のセービングテーブルのプロトタイプ
 * @date 2013/12/11
 * @author Deskull
 * 2013 Sikabane Works.
 */

#pragma once

#include "stdafx.h"
#include "Deeangband.h"

/*!
 * @class SavingTable
 * @brief セービングテーブルクラス
 */
class SavingTable
{
private:
	AC armor;    /*!< 装甲セーブ値 */
	EV evasion;  /*!< 回避セーブ値 */
	VO volition; /*!< 意思セーブ値 */

public:

	/*! 
	 * @brief SavingTableクラスのコンストラクタ
	 * @param x X座標
	 * @param y Y座標
	 */
	SavingTable::SavingTable(BASE_STATUS armor, BASE_STATUS evasion, BASE_STATUS volition);

	SavingTable::SavingTable(void);

	SavingTable::~SavingTable(void);

	void SavingTable::Set(BASE_STATUS armor, BASE_STATUS evasion, BASE_STATUS volition);

	const AC SavingTable::GetArmor(void);

	const EV SavingTable::GetEvasion(void);

	const VO SavingTable::GetVolition(void);

	/*!
	 * @brief +=演算子による座標加算
	 * @param plus 加算元
	 */
	SavingTable& SavingTable::operator+=(const SavingTable& obj);

};
